View Issue Details

IDCategoryLast Update
0005073bugs2015-08-05 09:42
Reporterx42Assigned To 
Reproducibilityalways 
Status newResolutionopen 
Product Version 
Fixed in Version 
Summary0005073: Latency overcompensation when bouncing tracks
Description1) new session, create two tracks (they are connected to HW inputs by default)
2) record something on track1
3) connect output of track1 to input of track2
4) record output of track1 (playing sample recoded in step (2) above) onto track2

result: audio on track2 is early (exactly jack-period frames)
expected: audio on track2 is identical to audio from track1

Workaround: disconnecting track1's input from HW fixes the issue.

It makes no difference if track2 is connected to HW or not.
Also, output connections (track1,2 -> master) are irrelevant.
TagsNo tags attached.

Relationships

related to 0006494 new calculation of plugin latency 

Activities

x42

2012-09-01 13:06

administrator   ~0013994

las commented on IRC that this is a WONTFIX for now:

"the problem is that the monitoring status can change at any time.
we cannot recompute latency every time this happens - it is too invasive.
So ardour picks the worst possible latency of the ones that are possible"

in0giro

2012-11-13 13:58

reporter   ~0014237

subscribe

Issue History

Date Modified Username Field Change
2012-08-10 12:03 x42 New Issue
2012-09-01 11:35 cth103 cost => 0.00
2012-09-01 11:35 cth103 Target Version => 3.0
2012-09-01 13:06 x42 Note Added: 0013994
2012-11-13 13:58 in0giro Note Added: 0014237
2012-12-19 14:53 paul Target Version 3.0 => 3.X
2015-08-06 15:36 x42 Relationship added related to 0006494